/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#if !defined(CHAOSEXPLORERWINDOW_H)
#define CHAOSEXPLORERWINDOW_H

#include <qmainwindow.h>

class QAction;
class QActionGroup;
class QWorkspace;
class QAction;
class DocWindow;
class DocInterface;

template<class T> class Size;
typedef Size<int> IntSize;

class ChaosExplorerWindow : public QMainWindow
{
	Q_OBJECT
public:
	ChaosExplorerWindow();
	~ChaosExplorerWindow();

private slots:
	void fileNewMandelbrot();
	void fileNewFeigenbaum();
	void fileOpen();
	void fileSave();
	void fileSaveAs();
	void fileExport();
	void filePrint();
	void fileQuit();
	void editUndo();
	void editRedo();
	void editPictureSize( QAction* action );
	void editPictureSizeUserDef();
	void editStartCalc();
	void editStopCalc();
	void editProps();
	void changeUtility( QAction* action );
	void zoomIn();
	void zoomOut();

	void windowActivated( QWidget* w );
	void windowChanged();

	void updateWindowMenu();

	void showInfo();

private:
	QAction* getAction( const char* name );
	QActionGroup* getActionGroup( const char* name );
	void validatePicSizeRatio( const IntSize& new_size );
	bool openFile( QString fileName = QString::null );
	void setDocWindowCaption( DocWindow* docwin );
	DocWindow* createDocWindow( DocInterface* newdoc );

	QWorkspace* m_workspace;

};

#endif // !defined(CHAOSEXPLORERWINDOW_H)
