/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#if !defined(FEIGENBAUM_PROPDIALOG_H)
#define FEIGENBAUM_PROPDIALOG_H

#include <qdialog.h>
#include <qtabwidget.h>
#include <qvbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qlayout.h>
#include <qvalidator.h>
#include <qtextstream.h>

#include "feigenbaum_calcinputdata.h"
#include "vartypes.h"

namespace Feigenbaum
{
	class PropDialog : public QDialog
	{
		Q_OBJECT
	public:
		PropDialog( QWidget* parent = 0, const char* name = 0 );
		~PropDialog();

		void setMaxIterations( int new_maxiterations );
		int maxIterations() const;

		void setPaintIterations( int new_paintiterations );
		int paintIterations() const;

		void setCoords( const DoubleRect& coords );
		DoubleRect coords() const;

		void setStartValue( double startvalue );
		double startValue() const;

	private slots:
		void maxIterChanged( int value );

	private:
		QSpinBox* m_maxIterations;
		QSpinBox* m_paintIterations;
		QLineEdit* m_startValue;
		QLineEdit* m_x1;
		QLineEdit* m_y1;
		QLineEdit* m_x2;
		QLineEdit* m_y2;

	};
}

#endif // !defined(FEIGENBAUM_PROPDIALOG_H)
