/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#include "infowindow.h"

#include "version.h"
#include "icons.h"

#include <qlayout.h>
#include <qpushbutton.h>
#include <qlabel.h>

InfoWindow::InfoWindow( QWidget* parent )
	: QDialog( parent, 0, true )
{
	setCaption( "ChaosExplorer" );
	setIcon( *parent->icon() );

	QVBoxLayout* qvbox = new QVBoxLayout( this, 10 );

	QHBoxLayout* qhbox1 = new QHBoxLayout( qvbox, 10 );

	QWidget* icon = new QWidget( this, "icon" );
	icon->setFixedSize( 32, 32 );
	icon->setBackgroundPixmap( QPixmap( app_icon_large_xpm ) );
	qhbox1->addWidget( icon, 0, Qt::AlignTop );

	QLabel* label =  new QLabel( QString( "ChaosExplorer %1.%2.%3\n\n"
	                                      "Programm zum Darstellen der Mandelbrotmengen\n"
										  "und des Feigenbaumdiagramms.\n\n"
										  "Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>\n\n"
										  "This program is free software; you can redistribute it and/or modify\n"
										  "it under the terms of the GNU General Public License as published by\n"
										  "the Free Software Foundation; either version 2 of the License, or\n"
										  "(at your option) any later version." )
								 .arg( ver_major ).arg( ver_minor ).arg( ver_revision ), this );
	qhbox1->addWidget( label, 0, Qt::AlignTop );

	QHBoxLayout* qhbox2 = new QHBoxLayout( qvbox, 10 );
	QPushButton* ok_button = new QPushButton( "&OK", this );
	connect( ok_button, SIGNAL( clicked() ), SLOT( accept() ) );
	qhbox2->addStretch();
	qhbox2->addWidget( ok_button, 0, Qt::AlignBottom );

}

InfoWindow::~InfoWindow()
{
}
