/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#ifndef MANDELBROT_FILEACCESS_H
#define MANDELBROT_FILEACCESS_H

#include <qstring.h>

#include "vartypes.h"
#include "mandelbrot_calcinputdata.h"

namespace Mandelbrot
{
	class FileAccess : public QObject
	{
		Q_OBJECT
	public:
		FileAccess();
		~FileAccess();

		Handle<CalcInputData> open( QString fileName );
		bool save( QString fileName, Handle<CalcInputData> input );

		const QString& fileName() const;

		bool unsaved() const;

	private:
		bool m_unsaved;
		QString m_fileName;

	};
}

#endif
