/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#include "sizewindow.h"

#include <qlayout.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>

SizeWindow::SizeWindow( QWidget* parent, int width, int height, const char* name, WFlags f )
	: QDialog( parent, name, true, f )
{
	setCaption( "Benutzerdefinierte Bildgre" );

	QVBoxLayout* qvbox = new QVBoxLayout( this, 10 );

	QHBoxLayout* qhbox1 = new QHBoxLayout( qvbox, 10 );
	m_spin_width = new QSpinBox( 20, 4000, 1, this );
	m_spin_width->setValue( width );
	qhbox1->addWidget( new QLabel( m_spin_width, "Neue &Breite:", this ) );
	qhbox1->addStretch();
	qhbox1->addWidget( m_spin_width );

	QHBoxLayout* qhbox2 = new QHBoxLayout( qvbox, 10 );
	m_spin_height = new QSpinBox( 20, 4000, 1, this );
	m_spin_height->setValue( height );
	qhbox2->addWidget( new QLabel( m_spin_height, "Neue &Hhe:", this ) );
	qhbox2->addStretch();
	qhbox2->addWidget( m_spin_height );

	QHBoxLayout* qhbox3 = new QHBoxLayout( qvbox, 10 );
	m_ok_button = new QPushButton( "&OK", this );
	m_cancel_button = new QPushButton( "Ab&brechen", this );
	connect( m_ok_button, SIGNAL( clicked() ), SLOT( accept() ) );
	connect( m_cancel_button, SIGNAL( clicked() ), SLOT( reject() ) );
	qhbox3->addStretch();
	qhbox3->addWidget( m_ok_button, 0, Qt::AlignBottom );
	qhbox3->addWidget( m_cancel_button, 0, Qt::AlignBottom );

}

SizeWindow::~SizeWindow()
{

}

int SizeWindow::pictureWidth()
{
	return m_spin_width->value();
}

int SizeWindow::pictureHeight()
{
	return m_spin_height->value();
}